46.0
====
* Use adaptive dialogs [Florian; !310]
* Replace telepathy-logger with private tracker database [Florian, Carlos; !264]
* Misc. bug fixes and cleanups [Sabri, Daniel, Florian; !302, !303, !305, !306,
  !307, !308, !309, !304, !312, !313]

Contributors:
  Carlos Garnacho, Florian Müllner, Daniel Rusek, Sabri Ünal

Translators:
  Daniel Mustieles [es], Sveinn í Felli [is], Vasil Pupkin [be],
  Florentina Mușat [ro], Aurimas Černius [lt], Julien Humbert [fr],
  Ekaterine Papava [ka], Danial Behzadi [fa], Juliano de Souza Camargo [pt_BR],
  Sergej A [ru], Yuri Chornoivan [uk], Kukuh Syafaat [id], Yosef Or Boczko [he],
  Sabri Ünal [tr], Jürgen Benvenuti [de], Daniel Rusek [cs], Fabio Tomat [fur],
  DaeHyun Sung [ko], Christian Kirbach [de], Luming Zh [zh_CN],
  Anders Jonsson [sv], Yaron Shahrabani [he], Asier Sarasua Garmendia [eu],
  Jiri Grönroos [fi], Piotr Drąg [pl], Balázs Úr [hu], Ask Hjorth Larsen [da],
  Martin [sl]

45.0 — “Like Stonehenge”
========================
* Remove GNOME from networks list 😢 [Jeremy; !268]
* Port to new Adwaita widgets [Florian; !275, !287, !293]
* Improve visuals [Georges; !280, !281, !283, !285, !291]
* Fix selecting existing room in mobile view [Florian; !292]
* Fix user-online notification [Florian; !296]
* Misc. bug fixes and cleanups [Florian, Jakub, Sabri, 0xMRTT; !274, !276,
  !278, !282, !277, !279, !253, !271, !286, !288, !289, !290, !294, !295,
  !297, !298, !300, !299]

Contributors:
  0xMRTT, Jeremy Bicha, Sveinn í Felli, Florian Müllner,
  Georges Basile Stavracas Neto, Jakub Steiner, Sabri Ünal

Translators:
  Fabio Tomat [fur], Ekaterine Papava [ka], Sabri Ünal [tr],
  Sveinn í Felli [is], Yuri Chornoivan [uk], Yosef Or Boczko [he],
  Kukuh Syafaat [id], Jiri Grönroos [fi], Martin [sl], Piotr Drąg [pl],
  Hugo Carvalho [pt], Danial Behzadi [fa], Sergej A [ru], Nathan Follens [nl],
  Daniel Mustieles [es], Fran Dieguez [gl], Jürgen Benvenuti [de],
  DaeHyun Sung [ko], Asier Sarasua Garmendia [eu], Luming Zh [zh_CN],
  Yaron Shahrabani [he], Anders Jonsson [sv], Balázs Úr [hu], Daniel Rusek [cs],
  Ask Hjorth Larsen [da]

43.0 — “Hi.”
============
* Move more UI to libadwaita [Florian; !256, !258]
* Misc. bug fixes and cleanups [Florian; !257, !260, !262, !261]

Contributors:
  Hugo Carvalho, Zurab Kargareteli, Florian Müllner

Translators:
  Zurab Kargareteli [ka], Sabri Ünal [tr], Goran Vidović [hr],
  Anders Jonsson [sv], Quentin PAGÈS [oc]

42.1 — “I Hear You, Mama”
=========================
* Fix showing notification for initial message [Florian; !254]
* Misc. bug fixes and cleanups [Florian; !252]

Contributors:
  Jürgen Benvenuti, Piotr Drąg, Nathan Follens, Charles Monzat, Florian Müllner

Translators:
  Nathan Follens [nl]

42.0 — “Little Last Season Prada Shoes”
=======================================
* Move /command feedback into a popover [Florian; !247]
* Port UI to libadwaita [Florian; !250]
* Misc. bug fixes and cleanups [Florian, Jan; !241, !242, !243, !245,
  !244, !246, !248, !249]

Contributors:
  Sergej A, Jan Beich, Alan Mortensen, Florian Müllner, Sabri Ünal

Translators:
  Марко Костић [sr], Jordi Mas [ca], Yaron Shahrabani [he], Bruce Cowan [en_GB],
  Alexey Rubtsov [ru], Dušan Kazik [sk], Rūdolfs Mazurs [lv],
  Quentin PAGÈS [oc], Kjartan Maraas [nb]

41.0 — “He used to be a Euphemism”
==================================
* Update screenshots and metainfo [Florian; !236]
* Refresh application icon [Tobias; !237]

Contributors:
  Tobias Bernard, Piotr Drąg, Rafael Fontenelle, Ask Hjorth Larsen,
  Rodrigo Lledó, Florian Müllner, Balázs Úr

Translators:
  Yuri Chornoivan [uk], Daniel Șerbănescu [ro], Jiri Grönroos [fi],
  Enrico Nicoletto [pt_BR], Luna Jernberg [sv], Matej Urbančič [sl],
  Goran Vidović [hr], Hugo Carvalho [pt], Asier Sarasua Garmendia [eu],
  Marek Černocký [cs], Fran Dieguez [gl], Daniel Mustieles [es],
  Kukuh Syafaat [id], Claude Paroz [fr], Jordi Mas [ca], Emin Tufan Çetin [tr],
  Philipp Kiemle [de], Balázs Úr [hu], Piotr Drąg [pl], Aurimas Černius [lt],
  Nathan Follens [nl], Alan Mortensen [da], Seong-ho Cho [ko],
  Danial Behzadi [fa], Efstathios Iosifidis [el], Boyuan Yang [zh_CN],
  Źmicier Turok [be]

41.rc
=====
* Prepare for GTK4 [Florian, ranfdev; !198, !199, !212, !215, !225]
* Support Soup 3 [Florian; !207]
* Replace custom logging with console module [Florian; !214]
* Fix pasting text files [Florian; !217]
* Put status message on the left [William; !223]
* Improve chat log appearance [Florian; !224, !227]
* Port to GTK4 [Florian; !228, !232, !234, !235]
* Misc. bug fixes and cleanups [Florian, scootergrisen; !197, !200, !181, !201,
  !202, !146, !67, !203, !204, !205, !206, !208, !209, !211, !210, !213, !216,
  !218, !220, !229, !230, !231, !233]

Contributors:
  Yuri Chornoivan, William Cordova, Asier Sarasua Garmendia, Anders Jonsson,
  Florian Müllner, Andika Triwidada, ranfdev, scootergrisen, Marek Černocký

Translators:
  Alexey Rubtsov [ru]

40.0 — “You Need a Boyfriend, Not a Person”
===========================================
* Promisify async operations [Florian; !169]
* Add hackint to predefined networks [Martin; !172]
* Prepare for GTK4 [Florian; !174]
* Port to ES modules [Florian; !176, !177, !178]
* Allow /join without '#' prefix [Jack; #167]
* Add Libera.Chat to predefined networks [Florian; !187]
* Add tilde.chat to predefined networks [Ben, Juan; !186, #180]
* Keep scroll position when loading extra logs [Raidro; !189]
* Promote Libera.Chat over Freenode [Florian; #169]
* Update OFTC server list [Florian; #181]
* Misc. bug fixes and cleanups [Florian, DaeHyun, Jonas, Jordan, Sabri, Bastien,
  Juan; !163, #155, !166, !167, !168, !170, !171, !173, !180, !183, !184, !193,
  #179, !195, !196]

Contributors:
  Jonas Ådahl, Juan R. García Blanco, Marek Černocký, Yuri Chornoivan,
  Rodrigo Costa, Piotr Drąg, Jack Gleeson, Ben Harris, Anders Jonsson,
  Raidro Manchester, Jordi Mas, Charles Monzat, Florian Müllner,
  Daniel Mustieles, Bastien Nocera, Jordan Petridis, DaeHyun Sung,
  Andika Triwidada, Sabri Ünal, Martin Weinelt

Translators:
  Yosef Or Boczko [he], Fabio Tomat [fur], Kjartan Maraas [nb], Jordi Mas [ca],
  Fran Dieguez [gl], Marek Černocký [cs], Saikeo Kavhanxay [lo],
  Ngọc Quân Trần [vi], Quentin PAGÈS [oc]

3.38.0 — “Wonder Woman in the Hizzy”
======
* Disable URL previews when on metered data [Florian; #149]
* Misc. bug fixes and cleanups [Florian; #142]

Contributors:
  Jordi Mas i Hernandez, Andre Klapper, Jordi Mas, Florian Müllner,
  Jwtiyar Nariman, Jordan Petridis

Translators:
  Tim Sabsch [de], Jordi Mas [ca], Fabio Tomat [fur], Aurimas Černius [lt],
  Efstathios Iosifidis [el], Jwtiyar Nariman [ckb],
  Asier Sarasua Garmendia [eu], Emin Tufan Çetin [tr], Fran Dieguez [gl],
  Piotr Drąg [pl], Jiri Grönroos [fi], sicklylife [ja], Kukuh Syafaat [id],
  Goran Vidović [hr], Thibault Martin [fr], Anders Jonsson [sv],
  Boyuan Yang [zh_CN], Rafael Fontenelle [pt_BR], Nathan Follens [nl],
  Marek Černocký [cs], Danial Behzadi [fa], Bruce Cowan [en_GB],
  Марко Костић [sr], DaeHyun Sung [ko], Dušan Kazik [sk], Daniel Mustieles [es],
  Balázs Meskó [hu], Milo Casagrande [it], Ask Hjorth Larsen [da],
  Baurzhan Muftakhidinov [kk], Rūdolfs Mazurs [lv],
  Juliano de Souza Camargo [pt], Cheng-Chia Tseng [zh_TW]

3.37.3
======
* Add WHOIS command [Roberto; !152]

Contributors:
  Roberto Sánchez Fernández

Translators:
  Yuri Chornoivan [uk], Daniel Mustieles [es], sicklylife [ja],
  Matej Urbančič [sl], Florentina Mușat [ro], Baurzhan Muftakhidinov [kk]

3.37.2
======
* Improve performance while idle [Philip; !157]
* Misc. bug fixes and cleanups [Florian; #144]

Contributors:
  Yuri Chornoivan, Florian Müllner, Philip Withnall

Translators:
  Cheng-Chia Tseng [zh_TW], Efstathios Iosifidis [el], Florentina Mușat [ro],
  Matej Urbančič [sl]

3.37.1
======
* Add the ability to mute nicknames [Florian; !153]
* Fix information leak when re-using account IDs [Florian; #132]
* Misc. bug fixes and cleanups [Florian; !150, !151, !155, !156]

Contributors:
  Florian Müllner

Translators:
  Daniel Korostil [uk], Daniel Șerbănescu [ro], Cheng-Chia Tseng [zh_TW],
  Yuri Chornoivan [uk], Mingcong Bai [zh_CN], Danial Behzadi [fa],
  Daniel Mustieles [es], Emin Tufan Çetin [tr]

3.36.0 — “Very Macho Homosexual Camper”
=======================================
* Fix URL previews in flatpak [Florian; !147]
* Misc. bug fixes and cleanups [Florian; !149, !148]

Contributors:
  Florian Müllner

Translators:
  Goran Vidović [hr], Milo Casagrande [it]

3.35.92
=======

Contributors:
  Florian Müllner

Translators:
  Efstathios Iosifidis [el], Jiri Grönroos [fi], Charles Monzat [fr],
  DaeHyun Sung [ko], Kukuh Syafaat [id], Nathan Follens [nl],
  Alan Mortensen [da], Fabio Tomat [fur], Matej Urbančič [sl]

3.35.91 — “A Cock in a Frock on a Rock”
=======================================
* Fix launching help [Florian; #125]
* Update keyboard shortcuts dialog [Sabri; !144]

Contributors:
  Umarzuki Bin Mochlis Moktar, Florian Müllner, Sabri Ünal

Translators:
  sicklylife [ja], Umarzuki Bin Mochlis Moktar [ms], Daniel Korostil [uk],
  Danial Behzadi [fa], Daniel Mustieles [es], Rafael Fontenelle [pt_BR],
  Emin Tufan Çetin [tr], Anders Jonsson [sv], Марко Костић [sr],
  Marek Černocký [cs], Fran Dieguez [gl], Asier Sarasua Garmendia [eu],
  Piotr Drąg [pl], Tim Sabsch [de], Aurimas Černius [lt], Balázs Meskó [hu]

3.35.3 — “I May As Well Take the Scenic Route”
==============================================
* Preview URLs in chat log [daronion, Florian; #58, !139, !140, !142]
* flatpak: Fix mission-control bug that blows up with newer GLib [Florian; !141]

Contributors:
  Florian Müllner, daronion

Translators:
  Fran Dieguez [gl]

3.35.2 — “A Flower Made of Steel”
=================================
* Fix NickServ authentication without username [Алексей; !136]
* Fix grouping of status messages [Florian; #115]
* Misc. bug fixes and cleanups [Florian; !135]

Contributors:
  Saikeo Kavhanxay, Florian Müllner, Kukuh Syafaat, Алексей Шилин

Translators:
  Saikeo Kavhanxay [lo], Marek Černocký [cs], Matej Urbančič [sl],
  Ask Hjorth Larsen [da], Jordi Mas [ca]

3.34.0 — “Shut the Foot Up”
===========================

Translators:
  Milo Casagrande [it], Charles Monzat [fr], Sabri Ünal [tr]

3.33.92 — “We called her Bernie”
================================
* Support profiling with sysprof [Florian; !123]
* Improve network reachability check [Florian; !132]
* Misc. bug fixes and cleanups [Florian; !125, !124, !126,
  !127, !128, !129, !131, !130, !133]

Contributors:
  Florian Müllner, Γιάννης Κουτσούκος

Translators:
  Balázs Meskó [hu], Cheng-Chia Tseng [zh_TW], Daniel Mustieles [es],
  Fabio Tomat [fur], Efstathios Iosifidis [el], Nathan Follens [nl],
  Goran Vidović [hr], Kukuh Syafaat [id], Asier Sarasua Garmendia [eu],
  Rafael Fontenelle [pt_BR], Kristjan SCHMIDT [eo], Anders Jonsson [sv],
  Daniel Șerbănescu [ro], Aurimas Černius [lt], Jiri Grönroos [fi],
  Piotr Drąg [pl], Tim Sabsch [de], Марко Костић [sr], Matej Urbančič [sl],
  Ryuta Fujii [ja], Fran Dieguez [gl], Zander Brown [en_GB], Jordi Mas [ca],
  Petr Kovář [cs], Danial Behzadi [fa], DaeHyun Sung [ko]

3.33.2 — “Booty Hole Police”
============================
* Display error message on failure to join room [Florian, Daronion; #17]

Contributors:
  Daronion, Florian Müllner

Translators:
  Daniel Mustieles [es]

3.33.1 — “No Penguin Kisses!”
===========================================
* Polish the no-results placeholder in userlist [Florian; #768846]
* Allow user-list to take up all available height [Florian; #768851]
* Show a clear indication when offline [Florian; #760833]
* Add a --quit command line option [Will; #20]
* Improve connectivity handling [Florian; !120]
* Misc. bug fixes and cleanups [Florian; !115, !116, !117, !119, !122]

Contributors:
  Will Burklund, Florian Müllner

Translators:
  Daniel Mustieles [es], Kukuh Syafaat [id], Fabio Tomat [fur], Jordi Mas [ca]

3.32.1 — “Style Always Wins Out In The End”
===========================================
* Handle notifications for private chats if GNOME's chat integration is
  not available [Florian, Daronion; #18]
* Misc. bug fixes and cleanups [Florian, Shubhesh, Kalev; !103, !100, !101,
  !99, !108, !109, !110, !111]

Contributors:
  Daronion, Shubhesh Dwivedi, Kalev Lember, Florian Müllner

Translators:
  Matej Urbančič [sl], Ask Hjorth Larsen [da]

3.32.0 — “Don't Dream it, Be it”
================================

Translators:
  Kristjan SCHMIDT [eo], Ryuta Fujii [ja]

3.31.92 — “Sad Gay Puppy”
=========================
* Misc. bug fixes and cleanups [Daronion, Florian; #68, !92, !93, !94,
  !95, !96]

Contributors:
  Daronion, Florian Müllner, Justin van Steijn

Translators:
  Jordi Mas [ca], Fabio Tomat [fur], Trần Ngọc Quân [vi]

3.31.91 — “Tell-A-Queen”
========================
* Fix logs when running telepathy-logger sandboxed [Florian; !90]
* Misc. bug fixes and cleanups [Florian; !89]

Contributors:
  Florian Müllner

3.31.90 — “Rimming a Snowman”
=============================
* Update app icon [Tobias; !78]
* Turn "Run in Background" into a regular setting [Florian; #89]
* Remove app menu [Florian; !53]
* Misc. bug fixes and cleanups [Florian, Bilal; !79, !81, !87]

Contributors:
  Tobias Bernard, Jeremy Bicha, Bloomraptor, Bilal Elmoussaoui, Florian Müllner

Translators:
  Charles Monzat [fr], Pieter Schalk Schoeman [af], Ryuta Fujii [ja],
  Balázs Úr [hu]

3.30.2 — “Mind the Sheep, Not Eat Them”
=======================================
* Fix regression with predefined networks [Florian; #82]

Contributors:
  Rodrigo Lledó, Florian Müllner, Jordan Petridis

Translators:
  Rūdolfs Mazurs [lv], Kjartan Maraas [nb], gogo [hr], Anish Sheela [ml],
  Carmen Bianca BAKKER [eo]

3.30.1 — “Light Your Tampon”
============================
* Improve network connectivity handling when running sandboxed [Florian; !68]
* Support non-UTF8 charsets in predefined networks [Oscar; #43]
* Misc. bug fixes [Florian; #76, !72]

Contributors:
  Florian Müllner, Oscar Shrimpton

Translators:
  Stas Solovey [ru], Марко Костић [sr]

3.30.0 — “I Was Left For a Punctuation Mark”
============================================

Contributors:
  Florian Müllner

Translators:
  Fran Dieguez [gl], Balázs Meskó [hu], Rūdolfs Mazurs [lv],
  Ask Hjorth Larsen [da], Liivia Lilleväli [et], DaeHyun Sung [ko], gogo [hr]

3.29.92 — “Stem the Rose”
=========================
* Improve highlighting for nicks with dashes/underscores [Florian; #69]
* Misc. bug fixes [Florian; !64, !65, #38]

Contributors:
  Florian Müllner

Translators:
  Rafael Fontenelle [pt_BR], Kukuh Syafaat [id], Milo Casagrande [it]

3.29.91 — “It's Like the 60s, with Less Hope”
=============================================
* Misc. bug fixes and cleanups [Florian; !47, #64, !60, !61, !62]
* Improve continuous integration:
  * Base build test on flatpak and produce a testable bundle
    [Jordan, Florian; #61]
  * Require passing static analysis from eslint [Florian; !63]
* Hook up gjs' new debugger console via command line [Florian; !49]
* Fix debug information logged to journal [Florian; !55]
* Switch to GTK+'s built-in emoji picker [Florian; !58]

Contributors:
  Florian Müllner, Jordan Petridis

Translators:
  Daniel Mustieles [es], Fabio Tomat [fur], Matej Urbančič [sl],
  Mario Blättermann [de], Piotr Drąg [pl], Aurimas Černius [lt],
  Muhammet Kara [tr], Anders Jonsson [sv], Guillaume Bernard [fr],
  Yi-Jyun Pan [zh_TW], Yuras Shumovich [be], Efstathios Iosifidis [el],
  Marek Cernocky [cs], Claude Paroz [fr], Jiri Grönroos [fi],
  Bruce Cowan [en_GB], Hannie Dumoleyn [nl], Daniel Șerbănescu [ro]

3.29.4 — “Screw Maximilian!”
===========================
* Add Rizon to list of predefined networks [Niek; #54]
* Remove app menu [Florian; !50]
* Misc. bug fixes [Florian; !48, #53]

Contributors:
  Piotr Drąg, gogo, Liivia Lilleväli, Florian Müllner, nick richards,
  Pieter Schalk Schoeman, Yuras Shumovich, Niek Visser

Translators:
  Efstathios Iosifidis [el], gogo [hr], Matej Urbančič [sl], Stas Solovey [ru],
  Rūdolfs Mazurs [lv], Mingcong Bai [zh_CN], Jordi Mas [ca],
  Daniel Șerbănescu [ro], Pieter Schalk Schoeman [af], Yuras Shumovich [be],
  Liivia Lilleväli [et]

3.28.0 — “Lesbian Blouse”
=========================
* Include Ozinger in list of predefined networks [DaeHyun; !34]

Contributors:
  Guillaume Bernard, Florian Müllner, DaeHyun Sung

Translators:
  Efstathios Iosifidis [el], Ask Hjorth Larsen [da], Милош Поповић [sr@latin]

3.27.92 — “Like a Baby's Arm”
=============================
* Misc. bugs [Florian; #46]

Contributors:
  Piotr Drąg, Florian Müllner

Translators:
  Piotr Drąg [pl, es], Enrico Nicoletto [pt_BR], Fabio Tomat [fur],
  Марко Костић [sr], Daniel Mustieles [es], Marek Cernocky [cs],
  Furkan Ahmet Kara [tr], Anders Jonsson [sv], Fran Dieguez [gl],
  Mario Blättermann [de], Balázs Úr [hu], Cheng-Chia Tseng [zh_TW],
  DaeHyun Sung [ko], GNOME Translation Robot [nl], Milo Casagrande [it],
  Dušan Kazik [sk], Khaled Hosny [ar], Aurimas Černius [lt], Kukuh Syafaat [id],
  Guillaume Bernard [fr], Baurzhan Muftakhidinov [kk], Jiri Grönroos [fi]

3.27.91 — “I Gotta Get Rid of Those Pens”
=========================================
* Fix interactive elements in chat log on touch screens [Florian; #784547]
* Defer loading room lists when connection is metered [Florian; #29]
* Ensure feedback for the "reconnect" action [unkemptArc99; #21]
* Add "Disconnect" item to the network context popover [Florian; #771889]
* Allow running a test instance alongside the regular one [Florian; #24]
* Misc. bug fixes [Florian; #32]

Contributors:
  Piotr Drąg, Daniel García Moreno, Florian Müllner, unkemptArc99, Balázs Úr

Translators:
  Kjartan Maraas [nb], Борисав Живановић [sr], Kukuh Syafaat [id],
  Stas Solovey [ru], Anders Jonsson [sv], Jiri Grönroos [fi], Balázs Meskó [hu],
  Jordi Mas [ca], Gil Forcada [ca], Andika Triwidada [id],
  Rafael Fontenelle [pt_BR], Mario Blättermann [de], Piotr Drąg [pl],
  Fabio Tomat [fur], Cheng-Chia Tseng [zh_TW], Fran Dieguez [gl],
  Марко Костић [sr], Милош Поповић [sr@latin]

3.27.2 - "Talking in Sentences With No Punchline"
=================================================
* Clarify title of message notifications [Daniel; #786709]
* Fix overlapping scrollbar in user list [Zandr; #728756]
* Improve performance of server room list in join dialog [Florian; #13]
* Add empty placeholder to networks list [Augusto; #762892]
* Add explanatory tooltips to buttons [Daniel; #787154]
* Show indicator when joining a room takes some time [Bastian; #775239]
* Misc. bug fixes and cleanups [Florian; #11, #14, #27]

Contributors:
  Daniel Boles, Augusto Cesar, Rafael Fontenelle, Bastian Ilsø, Zandr Martin,
  Florian Müllner, Jan Tojnar

Translations:
  Xavi Ivars [ca@valencia], Mario Blättermann [de], Marek Cernocky [cs],
  Matej Urbančič [sl], Fabio Tomat [fur], Kjartan Maraas [nb], Nurperi Utlu [tr]

3.26.1 - "God is Straight"
==========================

Contributors:
  Piotr Drąg, Florian Müllner

Translations:
  Efstathios Iosifidis [el], Trần Ngọc Quân [vi], Arash Mousavi [fa]

3.26.0 - "Twilight"
===================

Translations:
  Jordi Mas [ca], Bruce Cowan [en_GB], Inaki Larranaga Murgoitio [eu],
  Anders Jonsson [sv], Ask Hjorth Larsen [da]

3.25.92 - "One drink? What's that?"
===================================

Translations:
  Piotr Drąg [pl], Daniel Mustieles [es], Aurimas Černius [lt],
  Cheng-Chia Tseng [zh_TW], hanniedu [nl], Christian Kirbach [de],
  Rafael Fontenelle [pt_BR], Rūdolfs Mazurs [lv], Matej Urbančič [sl],
  Ask Hjorth Larsen [da], Jiri Grönroos [fi], Daniel Șerbănescu [ro],
  Milo Casagrande [it], DaeHyun Sung [ko], Dušan Kazik [sk], Alain Lojewski [fr]

3.25.91 - "I'm F***ing Mozart"
==============================

Translations:
  Piotr Drąg [pl], Fabio Tomat [fur], Çağatay Yiğit Şahin [tr],
  Berkay Aktunç [tr], Fran Dieguez [gl], Kukuh Syafaat [id],
  Мирослав Николић [sr, sr@latin], Gábor Kelemen [hu], Marek Cernocky [cs],
  Baurzhan Muftakhidinov [kk], Anish Sheela [ml]

3.25.90 - "Science Fiction 👄 Double Feature"
=============================================
* Change to nominal nick when it becomes available [Florian; #710731]
* Revamp initial setup [Danny, Florian, Bastian; #772458]
* Add an Emoji picker to the chat entry [Florian; #755579]
* Misc. bug fixes [Danny; #774212]

Contributors:
  Bastian Ilsø, Danny Mølgaard, Florian Müllner

Translations:
  Aurimas Černius [lt], Matej Urbančič [sl], Daniel Mustieles [es],
  Marek Cernocky [cs], Kukuh Syafaat [id], Fabio Tomat [fur],
  Pawan Chitrakar [ne]

3.25.4 - "You're 21. You're Like Almost 30"
===========================================
* Support NickServ bots that don't handle nick in identify command
  [Justyn, Florian; #772915]
* Improve handling of temporarily unavailble networks [Florian; #784047]
* Fix double-toggling of room checkboxes [mjash; #782969]
* Misc. bug fixes [Piotr; #783747]

Contributors:
  mjash, Piotr Drąg, Christian Kirbach, Florian Müllner, Justyn Temme

Translations:
  Kukuh Syafaat [id], Mario Blättermann [de], Piotr Drąg [pl],
  Daniel Mustieles [es], Balázs Meskó [hu], Rafael Fontenelle [pt_BR],
  Marek Cernocky [cs], Jordi Mas [ca], Fabio Tomat [fur]

3.25.1 - "He's Fred West"
=========================
* Share a spell checker to only load dictionaries once [Florian; #780762]
* Override paste.gnome.org's default expiry [Florian; #780888]
* Indicate in private conversation when contact disconnects [Florian; #712635]
* Trim trailing underscores from nick on startup [Florian; #781161]
* Add --version CLI option [Florian; #780272]
* Drop autotools support [Florian; #781687]
* Misc. bug fixes [Florian; #780113, #781072, #781159, #780273, #781686]

Contributors:
  Mario Blättermann, Rafael Fontenelle, Florian Müllner, Daniel Mustieles

Translations:
  Daniel Mustieles [es], Daniel Korostil [uk], Fabio Tomat [fur],
  Piotr Drąg [pl], Tom Tryfonidis [el]

3.24.0 - "Yoko Ono"
===================
* Add user documentation [Paul; #722498]
* Misc. bug fixes [Florian, Anders; #780166, #779946, #780298]

Contributors:
  Mario Blättermann, Paul Cutler, Patrick Griffis, Anders Jonsson,
  Florian Müllner

Translations:
  Rūdolfs Mazurs [lv], Daniel Korostil [uk]

3.23.92 - "Mr. Five Minutes Ago"
================================
* Support the meson build system [Florian; #779599]
* Implement room list filtering [Florian; #779960]
* Misc. bug fixes and cleanups [Florian; #779906, #779921, #779940]

Contributors:
  Christian Hergert, Florian Müllner

Translations:
  Piotr Drąg [pl], Jiri Grönroos [fi], Cédric Valmary [oc],
  Mario Blättermann [de], Rafael Fontenelle [pt_BR], Kukuh Syafaat [id],
  Guillaume Bernard [fr], Alan Mortensen [da], Anders Jonsson [sv],
  Balázs Meskó [hu], Marek Cernocky [cs], Milo Casagrande [it], Jordi Mas [ca],
  Aurimas Černius [lt], Fran Dieguez [gl], Changwoo Ryu [ko],
  Марко М. Костић [sr, sr@latin], Dušan Kazik [sk], Yuri Myasoedov [ru]

3.23.91 - "That's a Good-Looking Gun"
=====================================
* Bundle required Telepathy services in flatpak [Florian; #777705]
* Support auth bots that use "login" instead of "identify" [Florian; #778841]
* Misc. bug fixes [Florian, Alexander; #778793, #778797, #778850, #779449,
  #771888]

Contributors:
  Alexander Alzate Olaya, Florian Müllner

Translations:
  Daniel Korostil [uk], Ask Hjorth Larsen [da], Bernd Homuth [de],
  Chao-Hsiung Liao [zh_TW], Jiri Grönroos [fi], Anders Jonsson [sv],
  Kukuh Syafaat [id], Piotr Drąg [pl], Milo Casagrande [it],
  Rafael Fontenelle [pt_BR], Fran Dieguez [gl],
  Мирослав Николић [sr, sr@latin], Balázs Meskó [hu], Aurimas Černius [lt],
  Daniel Mustieles [es], Inaki Larranaga Murgoitio [eu]

3.23.90 - "Get a Room!"
=======================
* Add spell check support to entry [Florian; #709956]
* Add room list to join dialog [Florian, Isabella; #763200]

Contributors:
  Christian Hergert, Sam Hewitt, Matthew Leeds, Florian Müllner,
  Isabella Ribeiro

Translations:
  Baurzhan Muftakhidinov [kk], Jiri Grönroos [fi], Fábio Nogueira [pt_BR],
  Piotr Drąg [pl], Dušan Kazik [sk], Benjamin Steinwender [de],
  Mandy Wang [zh_CN], Efstathios Iosifidis [el],
  Inaki Larranaga Murgoitio [eu], Kukuh Syafaat [id], Kjartan Maraas [nb]

3.23.2 - "You Don't F*** With the Icon Lady"
============================================
* Allow to run polari in the background [Florian; #770750]
* Misc. bug fixes [Piotr; #774283]

Contributors:
  Lapo Calamandrei, Piotr Drąg, Alexandre Franke, Bastian Ilsø, Florian Müllner

Translations:
  Balázs Meskó [hu], Fabio Tomat [fur], Mario Blättermann [de],
  Marek Černocký [cs], Daniel Mustieles [es], Kjartan Maraas [nb],
  Marek Cernocky [cs]

3.23.1 - "Birth and Death in the same Episode"
==============================================
* Line-wrap app notifications [Efe; #721763]
* Mask identify passwords in private chats [Florian; #771888]
* Use structured logging [Florian; #771218]
* Fix URL linkification under flatpak [Florian; #772655]
* Add a contextual popover to nicks in chat log [Rares; #760853]
* Misc. bug fixes [Florian; #771217, #772068, #771728, #771557,
  #770749, #773293]

Contributors:
  Efe Gürkan YALAMAN, Florian Müllner, Rares Visalom

Translations:
  Milo Casagrande [it], Andika Triwidada [id], Cheng-Chia Tseng [zh_TW],
  Kjartan Maraas [nb], Marek Černocký [cs], Fabio Tomat [fur]

3.22.0 - "We All Feign a Laugh"
===============================

Translations:
  Ask Hjorth Larsen [da], Inaki Larranaga Murgoitio [eu], Daniel Korostil [uk]

3.21.92 - "Sweet as F***ing Pie"
================================
* Improve connectivity handling [Florian; #770751]
* Misc. bug fixes [Florian; #768611]

Contributors:
  Marek Černocký, Rafael Fontenelle, Florian Müllner

Translations:
  Gábor Kelemen [hu], Rafael Fontenelle [pt_BR], Piotr Drąg [pl],
  Fabio Tomat [fur], Dušan Kazik [sk], Daniel Mustieles [es],
  Марко Костић [sr], Милош Поповић [sr@latin], Bernd Homuth [de],
  Jiri Grönroos [fi], Changwoo Ryu [ko], Baurzhan Muftakhidinov [kk],
  Marek Černocký [cs], David King [en_GB], Aurimas Černius [lt],
  Yosef Or Boczko [he], Hannie Dumoleyn [nl], Fran Dieguez [gl],
  Rūdolfs Mazurs [lv], Arash Mousavi [fa], Anders Jonsson [sv],
  Tom Tryfonidis [el], Mathieu Stumpf Guntz [fr]

3.21.91 - "Women in Rubber Flirting"
====================================
* Add "Connect" item to room list header menu [Florian; #769192]
* Fix connection issues with predefined networks [Florian; #766935]
* Only switch channels immediately after a user action [Florian; #769584]
* Fix launching through persistent notifications [Florian; #769592]
* Support externally configured channels (aka autojoin) [Florian; #751575]
* Support NickServ passwords [Florian; #709982]
* Misc. bug fixes and cleanups [Florian; #769280, #769339, #769355, #769582,
  #769583, #769655, #769656]

Contributors:
  Piotr Drąg, Florian Müllner, Daniel Mustieles, Balázs Úr

Translations:
  Aurimas Černius [lt], Flo H [de], Tiago Santos [pt], Daniel Mustieles [es],
  Fabio Tomat [fur], Dušan Kazik [sk], Yosef Or Boczko [he], Jiri Grönroos [fi],
  Marek Černocký [cs], David King [en_GB], Balázs Úr [hu],
  Mario Blättermann [de], Alexandre Franke [fr], Andika Triwidada [id],
  Piotr Drąg [pl], Enrico Nicoletto [pt_BR], Matej Urbančič [sl],
  Мирослав Николић [sr, sr@latin], Peter Vágner [sk]

3.21.4 - "With a Little Dignity"
================================
* Improve text styling in chat log [Florian; #768381]
* Fix auto-scrolling to bottom [Florian; #765129]
* Restore highlights in messages loaded from logs [Florian; #768613]
* Fix rooms in sidebar not updating their read/unread style [Florian; #768909]
* Improve handling of initial pending messages [Florian; #768907]

Contributors:
  Lapo Calamandrei, Florian Müllner

Translations:
  Daniel Mustieles [es], Fabio Tomat [fur]

3.21.3 - "Ben Dover"
====================
* Add shortcuts to jump to top/bottom of the chat log [Danny; #755549]
* Track users to fix wrong online status in chat log [Rares; #763868]

Contributors:
  Anders Jonsson, Christian Kirbach, Danny Mølgaard, Florian Müllner,
  Rares Visalom

Translations:
  Daniel Mustieles [es], Tiago Santos [pt], Andika Triwidada [id]

3.21.2 - "Still Dead"
=====================
* Support /close command [Florian; #763385]
* Support pasting text/image content from files [Florian; #766066]
* Enable text/image uploads via drag and drop [Florian; #766068]
* Add help entry to app menu [Baptiste; #723024]
* Misc. bug fixes [Florian, Emmanuele, Abderrahim; #765445, #765841]

Contributors:
  Baptiste Mille-Mathias, Florian Müllner

Translations:
  Anders Jonsson [sv], Kjartan Maraas [nb], Daniel Mustieles [es],
  Abderrahim Kitouni [ar], Cédric Valmary [oc], Flo H [de],
  Fábio Nogueira [pt_BR], Muhammet Kara [tr], Tiago Santos [pt]

3.21.1 - "Judy Stays"
=====================
* Update roomList header popover on name changes [Sankaranarayanan; #763178]
* Prioritize popular networks [Rares; #762733]
* Fall back to alternative servers on connection failures [Kunaal; #762335]
* Misc. bug fixes [Kunaal; #765124]

Contributors:
  Kunaal Jain, Florian Müllner, Rares Visalom, Sankaranarayanan Viswanathan

Translations:
  Daniel Korostil [uk], Inaki Larranaga Murgoitio [eu],
  Cheng-Chia Tseng [zh_TW], Fabio Tomat [fur], Arash Mousavi [fa],
  Jeff Bai [zh_CN], Khaled Hosny [ar]

3.20.0 - "The Chicken has landed"
=================================
* Misc. bug fixes [Florian; #763872, #763873]

Contributors:
  Florian Müllner

Translations:
  Milo Casagrande [it], Ask Hjorth Larsen [da], Yuri Myasoedov [ru],
  Jiro Matsuzawa [ja], Guillaume Bernard [fr]

3.19.92 - "Like a Trailer Park Husband"
=======================================
* Misc. bug fixes and cleanups [Florian, Claudio; #763385, #763623]

Contributors:
  Claudio André, Florian Müllner

Translations:
  Enrico Nicoletto [pt_BR], Piotr Drąg [pl], Dušan Kazik [sk], Balázs Úr [hu],
  Baurzhan Muftakhidinov [kk], Rūdolfs Mazurs [lv], Aurimas Černius [lt],
  Matej Urbančič [sl], Anders Jonsson [sv], hanniedu [nl],
  Hannie Dumoleyn [nl], Efstathios Iosifidis [el], Daniel Mustieles [es],
  Fabio Tomat [fur], Mario Blättermann [de], Marek Černocký [cs],
  Марко Костић [sr], Милош Поповић [sr@latin], Fran Dieguez [gl],
  Changwoo Ryu [ko], Jiri Grönroos [fi]

3.19.91 - "Dr. Perfect?"
========================
* With no networks, open join-dialog on networks page [Kunaal; #762488]
* Handle irc:// URIs [Bastian; #728593]
* Linkify channel names [Florian; #762673]
* Remember the last selected room [Rares; #759812]
* Misc. bug fixes [Isabella, Florian, Daniel; #762374, #762390, #762424,
  #762590, #762481, #762490]

Contributors:
  Piotr Drąg, Bastian Ilsø, Kunaal Jain, Daniel Landau, Florian Müllner,
  Isabella Ribeiro, Rares Visalom

Translations:
  Mario Blättermann [de], Artur de Aquino Morais [pt_BR],
  Мирослав Николић [sr, sr@latin], Piotr Drąg [pl], Anders Jonsson [sv],
  Tom Tryfonidis [el], Daniel Mustieles [es], Chao-Hsiung Liao [zh_TW],
  Daniel Korostil [uk], Fran Dieguez [gl], Cédric Valmary [oc],
  Adrian Perez [es], Marek Černocký [cs], Gábor Kelemen [hu], Jordi Mas [ca],
  Efstathios Iosifidis [el], Rūdolfs Mazurs [lv], Dušan Kazik [sk],
  Yosef Or Boczko [he], Fabio Tomat [fur], Jiri Grönroos [fi]

3.19.90 - "It's Like Stealing Money for Free"
=============================================
* Replace ellipsis with expander arrows in status summaries [Kunaal; #759120]
* Strip color codes from topics [Kunaal; #747415]
* Offer users to enter server password on authentication failures
  [Florian; #709824]
* Add support for pasting images to public image service [Kunaal; #760346]
* Connection Properties: Only make "Apply" sensitive when there are changes
  [Isabella; #762015]
* Provide tab-completion for implemented IRC commands [Kunaal; #761304]
* Make "Reconnect" action work when already connected [Isabella; #761276]
* Add shortcuts to switch to rooms with unread messages [Rares; #761290]
* Allow to set up new connections from predefined networks [Florian; #761859]
* Add TLS setting where we cannot turn it on automatically [Florian; #730892]
* Overhaul paste confirmation to allow entering text around links
  [Florian; #760315]
* Misc. bug fixes [Rares, Florian, Isabella, Daniel; #760497, #760842,
  #762015, #761723, #761859]

Contributors:
  Rares Visalom, Piotr Drąg, Kunaal Jain, Daniel Landau, Florian Müllner,
  Isabella Ribeiro

Translations:
  Balázs Meskó [hu], Sebastian Rasmussen [sv], Daniel Mustieles [es],
  Fabio Tomat [fur], Mario Blättermann [de], Rūdolfs Mazurs [lv],
  Dušan Kazik [sk], Piotr Drąg [pl], Fábio Nogueira [pt_BR],
  Jiri Grönroos [fi], Baurzhan Muftakhidinov [kk], Rafael Fontenelle [pt_BR],
  Bernd Homuth [de], Chao-Hsiung Liao [zh_TW], Мирослав Николић [sr, sr@latin],
  Reinout van Schouwen [nl]

3.19.4 - "Super-size THIS"
==========================
* Use popover to change nickname [Florian; #760872]
* Implement /msg command [Kunaal; #724592]
* Implement connection management in room list [Isabella; #761057]
* Allow to undo connection removal [Florian; #761281]
* Remove Connections dialog [Florian; #709984]
* Misc. bug fixes [Hashem, Florian; #760653, #761269, #761288]

Contributors:
  Olivier Fourdan, Richard Hughes, Kunaal Jain, Florian Müllner,
  Hashem Nasarat, Isabella Ribeiro

Translations:
  Marek Černocký [cs], GNOME Translation Robot [de], Gustavo Marques [pt_BR],
  Enrico Nicoletto [pt_BR], Tom Tryfonidis [el], Kjartan Maraas [nb],
  Dušan Kazik [sk], Aurimas Černius [lt], Balázs Meskó [hu], Fabio Tomat [fur]

3.19.3 - "Lucy Diamond"
=======================
* Compress status messages on idle channels [Bastian; #711542]
* Also load history when scrolling via keyboard [Isabella; #755547]
* Misc. bug fixes [Florian, Kunaal; #759772, #759677, #759032]

Contributors:
  Bastian Ilsø, Kunaal Jain, Florian Müllner, Isabella Ribeiro

Translations:
  Pedro Albuquerque [pt], Jiri Grönroos [fi], Daniel Mustieles [es],
  Muhammet Kara [tr]

3.19.2 - "It was 12 Noon... of Course I was Drunk"
==================================================
* Linkify all supported URI schemes [Jonas; #755563]
* Misc. bug fixes [Florian, Jonas; #756323, #757493, #758476]

Contributors:
  Jonas Danielsson, Florian Müllner

Translations:
  Pedro Albuquerque [pt], Jiri Grönroos [fi], Balázs Meskó [hu],
  Marek Černocký [cs], Yosef Or Boczko [he], Kjartan Maraas [nb],
  Daniel Mustieles [es]

3.19.1 - "ABBA Turd"
====================
* Allow users to edit message after /command errors [Kunaal; #756363]
* Add help overlay for keyboard shortcuts [Florian; #756981]
* Indicate no matches when filtering userList [Cody; #756831]
* Highlight room rows while showing the context popover [Isabella; #756325]
* Misc. bug fixes [Florian, Kunaal; #755970, #755158, #756761, #756848,
  #756702]

Contributors:
  Kunaal Jain, Florian Müllner, Isabella Ribeiro, Cody Welsh

Translations:
  Dušan Kazik [sk], Inaki Larranaga Murgoitio [eu], Daniel Korostil [uk],
  Jiri Grönroos [fi], Marek Černocký [cs], Fabio Tomat [fur]

3.18.1 - "It's Yoghurt. It's French."
=====================================
* Don't highlight nickname matches inside words [Florian; #755166]
* Base nick highlighting and online status on "basenick" [Florian; #755133]
* Suggest default values for new connections [Kunaal; #709980]
* Improve handling of channel names with capital letters [Florian; #755722]
* Fix ellipsization in user list [Jurijs; #755477]
* Use paste.gnome.org as paste service [Florian; #726053]
* Default to account of the currently active room in dialogs [Kunaal; #755771]
* Fix room list ordering on account name changes [Cody; #756319]
* Highlight room list header on hover if sensitive [Cody; #755158]
* Misc. bug fixes [Florian; #753420, #756359]

Contributors:
  Kunaal Jain, Jurijs KolomijecS, Florian Müllner, Cody Welsh

Translations:
  Милош Поповић [sr], Милош Поповић [sr@latin], Daniel Mustieles [es],
  Jiri Grönroos [fi], Fabio Tomat [fur]

3.18.0 - "What's the Japanese for 'slut'?"
==========================================

Translations:
  Piotr Drąg [pl], Arash Mousavi [fa], Changwoo Ryu [ko], Milo Casagrande [it],
  Fran Dieguez [gl], Stas Solovey [ru], Dušan Kazik [sk], Aurimas Černius [lt],
  Bernd Homuth [de], Pedro Albuquerque [pt], Marek Černocký [cs],
  Alain Lojewski [fr], Jiro Matsuzawa [ja], Cheng-Chia Tseng [zh_TW],
  Rafael Fontenelle [pt_BR], Tom Tryfonidis [el], Kjartan Maraas [nb],
  Ask Hjorth Larsen [da], Rūdolfs Mazurs [lv], Anders Jonsson [sv],
  Muhammet Kara [tr], Balázs Úr [hu]

3.17.92 - "Bottom Shy"
======================
* Misc. fixes [Jiro; #754916]

Contributors:
  Arijit Chatterjee, Jiro Matsuzawa, Florian Müllner

Translations:
  Piotr Drąg [pl], Dušan Kazik [sk], Pedro Albuquerque [pt],
  Milo Casagrande [it], Baurzhan Muftakhidinov [kk], Tom Tryfonidis [el],
  Changwoo Ryu [ko], Aurimas Černius [lt], Alexandre Franke [fr],
  Kjartan Maraas [nb], Jiri Grönroos [fi], Anders Jonsson [sv],
  Kentaro KAZUHAMA [ja], Fran Dieguez [gl], Bernd Homuth [de],
  Daniel Mustieles [es], Arash Mousavi [fa], Rūdolfs Mazurs [lv]

3.17.91 - "Wicked"
==================
* Misc. bug fixes and cleanups [Bastian, Florian]

Contributors:
  Bastian Ilsø, Florian Müllner

Translations:
  Piotr Drąg [pl], Pedro Albuquerque [pt], Chao-Hsiung Liao [zh_TW],
  Fran Dieguez [gl], Tom Tryfonidis [el], Yosef Or Boczko [he],
  Alexandre Franke [fr], Balázs Meskó [hu]

3.17.90 - "Like Kissing the Body Shop"
======================================
* Clear pending messages indication while offline [Florian; #753050]
* Indicate account errors in room list [Bastian]
* Re-enable updated paste service integration [Bastian; #725088]
* Misc. bug fixes and cleanups [Florian; #753335]

Contributors:
  Bastian Ilsø, Florian Müllner

Translations:
  Marek Černocký [cs], Kjartan Maraas [nb], Pedro Albuquerque [pt],
  Daniel Mustieles [es], Dušan Kazik [sk]

3.17.4 - "A Face like a Cat's Arse"
===================================
* Add empty state to assist with initial setup [Bastian; #711832]
* Fix observing channels from other handlers [Florian; #752422]
* Update new-message indicator to clarify its purpose [Florian; #751542]
* Misc. bug fixes [Florian; #733327, #752968, #750689]

Contributors:
  Bastian Ilsø, Florian Müllner

Translations:
  Yosef Or Boczko [he], Pedro Albuquerque [pt], Marek Černocký [cs]

3.17.3 - "It's nice... in a Hideous Sort of Way"
================================================
* Color contact availability in private chats [Bastian; #748703]

Contributors:
  Bastian Ilsø, Florian Müllner

Translations:
  Victor Ibragimov [tg], Cédric Valmary [oc], Daniel Șerbănescu [ro],
  Pedro Albuquerque [pt]


3.17.1 - "The Texas Chainsaw Mascara"
=====================================
* Improve readability of room list in backdrop state [Jakub, Florian; #711854]
* Distinguish offline nick names in chat log [Bastian; #710792]
* Misc. bug fixes and cleanups [Bastian; #747942]

Contributors:
  Bastian Ilsø, Florian Müllner, Jakub Steiner

3.16.1 - "Lars, Lars and Lars"
==============================
* Fixes messages not getting acknowledged due to confused toplevel state
  [Giovanni; #746508]
* Highlight matches in user list search [Bastian; #745743]
* Make line indicator dependent on line spacing [Bastian; #738671]

Contributors:
  Giovanni Campagna, Bastian Ilso, Bastian Ilsø, Florian Müllner

Translations:
  Inaki Larranaga Murgoitio [eu], Bernd Homuth [de], Rūdolfs Mazurs [lv]

3.16.0 - "Se você roubasse um beijo de alguém"
==============================================

Translations:
  Baurzhan Muftakhidinov [kk], Muhammet Kara [tr]

3.15.92 - "God, I miss Disco!"
==============================
* Follow best practices for window state saving [Florian; #745717]

Contributors:
  Florian Müllner

Translations:
  Changwoo Ryu [ko], Aurimas Černius [lt], Kjartan Maraas [nb],
  Anders Jonsson [sv], Jiri Grönroos [fi], Stas Solovey [ru], Samir Ribic [bs],
  Ask Hjorth Larsen [da], Josef Andersson [sv]

3.15.91 - "I'm buying him a beer"
=================================
* Register telepathy service to enable use as default channel handler
  [Giovanni; #745418, #745499]
* Misc. bug fixes [Florian; #745203, #743988]

Contributors:
  Giovanni Campagna, Florian Müllner

Translations:
  Yosef Or Boczko [he], Stas Solovey [ru], Cheng-Chia Tseng [zh_TW],
  Daniel Mustieles [es], Tom Tryfonidis [el], Dušan Kazik [sk],
  Rafael Ferreira [pt_BR], Efstathios Iosifidis [el], Daniel Korostil [uk],
  Balázs Úr [hu], Matej Urbančič [sl], Alexandre Franke [fr],
  Fran Dieguez [gl], Milo Casagrande [it], Marek Černocký [cs],
  Мирослав Николић [sr, sr@latin], Piotr Drąg [pl]

3.15.90 - "Plenty of meat, only one potato"
===========================================
* Add high-contrast application icon [Jakub; #735670]
* Fix picking up hyperlink color from theme [Florian; #743944]
* Drop selection mode [Florian; #736481]
* Improve a11y support [Florian; #743384]

Contributors:
  Matthias Clasen, Florian Müllner, Jakub Steiner

Translations:
  Inaki Larranaga Murgoitio [eu], Kjartan Maraas [nb], Kristjan SCHMIDT [eo],
  Matej Urbančič [sl], Milo Casagrande [it]

3.15.3 - "A desert holiday"
===========================
* Suppress overshoot indicator when loading backlog [Florian; #740132]
* Fix some corner-cases in type-ahead [Florian; #741756]

Contributors:
  Florian Müllner

3.15.2 - "Tack-a-rama"
======================
* Limit height of userlist popover [Jonas; #738518]

Contributors:
  Jonas Danielsson, Florian Müllner

Translations:
  Muhammet Kara [tr], Kjartan Maraas [nb]

3.14.1 - "Baby Bottles of Booze"
================================
* Improve performance [Florian, Carlos; #732290]
* Reset join time to prevent status message flood [Florian; #736349]
* Keep previously fetched user details around [Florian; #737136]

Contributors:
  Carlos Garnacho, Florian Müllner

Translations:
  Iris Gou [zh_CN], Мирослав Николић [sr, sr@latin], Kjartan Maraas [nb],
  Milo Casagrande [it], Kristoffer Grundström [sv], Rūdolfs Mazurs [lv]

3.14.0 - "The Goldfish Speach"
==============================

Translations:
  GNOME Translation Robot [de], Pawan Chitrakar [ne], Ask H. Larsen [da],
  Dušan Kazik [sk]

3.13.92 - "Orange?"
===================
* Provide some xchat-gnome compatibility shortcuts [Florian; #710053]
* Adjust to GTK+/Adwaita changes

Contributors:
  Florian Müllner, Yosef Or Boczko

Translations:
  ngoswami [as], Cheng-Chia Tseng [zh_TW], Kjartan Maraas [nb],
  Marek Černocký [cs], Andika Triwidada [id], Fran Diéguez [gl],
  Changwoo Ryu [ko], Gil Forcada [ca], Carles Ferrando [ca@valencia],
  Piotr Drąg [pl], Yuri Myasoedov [ru], Ville-Pekka Vainio [fi],
  Guillaume Bernard [fr], Balázs Úr [hu]

3.13.90 - "Our Notting Hill Moment"
===================================
* Fix in-app notifications [Florian; #730964]
* Fix timestamp formatting [Giovanni; #732611]
* Add context menu to URLs [Florian; #712163]
* Restore saved channels when an account is reconnected
  [Giovanni, Florian; #732905]
* Remember last selected account in join/message dialogs [Florian; #711833]
* Adjust to GTK+/Adwaita changes

Contributors:
  Giovanni Campagna, Piotr Drąg, Richard Hughes, Florian Müllner,
  Yosef Or Boczko, Olav Vitters

Translations:
  Enrico Nicoletto [pt_BR], Yosef Or Boczko [he], Aurimas Černius [lt],
  Muhammet Kara [tr], Daniel Mustieles [es], Cheng-Chia Tseng [zh_TW],
  Yuri Myasoedov [ru], Fran Diéguez [gl], Balázs Úr [hu], MarMav [el],
  Kjartan Maraas [nb], Daniel Korostil [uk], Inaki Larranaga Murgoitio [eu],
  Daniel Șerbănescu [ro]

3.13.2 - "Traveled down the road and back again"
================================================
* Subclass TpBaseClient instead of using two simple clients
  [Giovanni; #723440]
* Move dialog controls into the header [Florian; #730776]
* Always show notifications for highlights in other channels

Contributors:
  Giovanni Campagna, Florian Müllner

Translations:
  Carles Ferrando [ca@valencia]

3.13.1 - "Small is Small"
=========================
* Increase default size of connections dialog [Florian; #728643]

Contributors:
  Florian Müllner

3.12.1 - "Itty Bitty Titty Committee"
=====================================
* Misc. fixes [Florian, Piotr]

Contributors:
  Piotr Drąg, Florian Müllner

Translations:
  Yaron Shahrabani [he], Peter Vágner [sk], Ibrahim Saed [ar],
  Matej Urbančič [sl], Christian Kirbach [de]

3.12.0 - "The Really Hard Red Bull Test"
========================================
* Stop ellipsizing nick [Carlos; #711853]
* Do not open multiple dialogs if already opened [Sebastien; #715076]
* Standardize Help/About/Quit app menu items [Michael; #720151]
* Keep chat log around when offline or disconnected [Florian; #710271]
* Fix headerbar item positions after GTK+ changes [Yosef; #721736]
* Allow to set up new connections from join dialog [Florian; #711833]
* Don't highlight messages in private chats [Giovanni; #725065]
* Add 256x256 application icon [Giovanni; #723429]
* Show number of channel members in headerbar [Florian; #710705]
* Add keyboard shortcuts for directly switching to a room [Florian; #709983]
* Show real name as subtitle for private chats [Florian; #710819]
* Respect time format settings for timestamps [Carlos; #712626]
* Move user list into a popover [Florian; #727039]
* Misc. bug fixes and cleanups [Giovanni, Ryan, Florian, Carlos; #723432,
  #722532, #712217, #721703, #724902, #722728, #725064, #715025, #719526,
  #720706, #725403, #725688, #721889]

Contributors:
  Giovanni Campagna, Michael Catanzaro, Sebastien Lafargue, Ryan Lortie,
  Florian Müllner, Yosef Or Boczko, Frédéric Péters, Carlos Soriano

Translations:
  Rafael Ferreira [pt_BR], Daniel Mustieles [es], Marek Černocký [cs],
  Piotr Drąg [pl], Yosef Or Boczko [he], Adorilson Bezerra [pt_BR],
  Milo Casagrande [it], Fran Diéguez [gl], Enrico Nicoletto [pt_BR],
  Jiri Grönroos [fi], Dimitris Spingos [el], Daniel Korostil [uk],
  Ville-Pekka Vainio [fi], Changwoo Ryu [ko], A S Alam [pa],
  Sphinx Jiang [zh_CN], Rūdolfs Mazurs [lv], Aurimas Černius [lt],
  Cheng-Chia Tseng [zh_TW], Gabor Kelemen [hu], Yuri Myasoedov [ru],
  Alexandre Franke [fr], Pau Iranzo [ca], Andika Triwidada [id],
  Praveen Illa [te], Duarte Loreto [pt], Gábor Kelemen [hu],
  Ask H. Larsen [da], maria thukididu [el], Inaki Larranaga Murgoitio [eu],
  Мирослав Николић [sr, sr@latin], Kjartan Maraas [nb], Kenneth Nielsen [da]

3.11.2 - "The Oscar-Wilde-Sort"
===============================
* Insert timestamps after some time of inactivity [Florian; #712248]
* Include backlog of previous conversations [Florian; #712249]
* Misc. bug fixes [Richard, Florian; #709848, #711217]

Contributors:
  Richard Hughes, Florian Müllner

Translations:
  Yosef Or Boczko [he], Rafael Ferreira [pt_BR], Jiri Grönroos [fi],
  Piotr Drąg [pl], Joe Hansen [da]

3.11.1 - "Peppermint Foot Lotion"
=================================
* Initial Polari release
* Basic support for room/private chats
* Simple connection editor
* Nick completion
* Some support for more advanced /commands
* Experimental pastebin integration

Contributors:
  Felipe Borges, Mathieu Bridon, Giovanni Campagna, Ignacio Casal Quinteiro,
  Cosimo Cecchi, Guillaume Desmottes, Piotr Drąg, Javier Jardón,
  William Jon McCann, Tim Lunn, Florian Müllner, Volker Sobek, Carlos Soriano,
  Jasper St. Pierre, Jakub Steiner

Translations:
  Yaron Shahrabani [he], Marek Černocký [cs], Enrico Nicoletto [pt_BR],
  Piotr Drąg [pl], Daniel Korostil [uk], Daniel Mustieles [es],
  Matej Urbančič [sl], Yosef Or Boczko [he], Joe Hansen [da],
  Martin Srebotnjak [sl], Fran Diéguez [gl], Cheng-Chia Tseng [zh_HK, zh_TW],
  Timo Jyrinki [fi], malcolmlewis@opensuse.org [zh_HK, zh_TW], tuhaihe [zh_CN],
  Milo Casagrande [it]
